//
// C++ Interface: queryresultdlg
//
// Description: 
//
//
// Author: Thach Nguyen <thach.nguyen@rmit.edu.au>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QUERYRESULTDLG_H
#define QUERYRESULTDLG_H

#include <kdialogbase.h>
#include <qspinbox.h>
/**
	@author Thach Nguyen <thach.nguyen@rmit.edu.au>
*/
class queryResultDlg : public KDialogBase{
	Q_OBJECT
	public:
		queryResultDlg(unsigned int num=0, QWidget *parent = 0, const char *name = 0);
		~queryResultDlg();
		unsigned int getStart(){return min->value(); }
		unsigned int getStop(){return max->value(); }
	
	private:
		QSpinBox *min;
		QSpinBox *max;
	
	private slots:
		void slotMinValueChanged(int);
		void slotMaxValueChanged(int);
};


#endif
